---
layout: "default_with_menu"
---
{%- assign about = site.posts | find: 'layout', 'about' -%}
{%- assign back_covers = site.posts | where: 'layout', 'back_cover' -%}
{%- assign posts = site.posts | where: 'layout', 'post' | concat: back_covers -%}
{%- assign authors = site.posts | where: 'layout', 'author' -%}
{%- assign prev = page | prev: posts -%}
{%- assign next = page | next: posts -%}

<article id="{{ page.slug }}" class="container mx-auto max-w-780px my-4 px-20">
  {% if page.image.path %}
    {% include picture.html src=page.image.path alt=page.image.description width=780 img_class="w-100 shadow" %}
  {% endif %}

  <div class="mt-5">
    {% if page.activity.inReplyTo %}
      {% include_cached activity_pub/replying_to.html activity=page.activity.inReplyTo %}
    {% endif %}

    {% include headings/h1.html class="text-uppercase black hover-black letter-spacing-4 font-weight-bold mb-12" text=page.title %}

    {% if page.subtitle %}
      {% include headings/h2.html class="text-uppercase letter-spacing-8 mb-20" text=page.subtitle %}
    {% endif %}

    {% unless page.authors == empty %}
      <p class="lead text-uppercase letter-spacing-5">
        {% for author in page.authors %}
          <a href="{{author.url}}">{{ author.title -}}</a>
          {%- unless forloop.last %} {{ site.i18n.and }} {% endunless %}
        {% endfor %}
      </p>
    {% endunless %}

    <div
      data-footnotes-container-width-value="{{ site.data.theme.footnotes_container_width }}"
      data-footnotes-sidenote-width-value="{{ site.data.theme.footnotes_sidenote_width }}"
      data-footnotes-padding-left-value="{{ site.data.theme.footnotes_padding_left }}"
      data-footnotes-offset-left-value="{{ site.data.theme.footnotes_offset_left }}"
      data-footnotes-footnote-class="{{ site.data.theme.footnotes_footnote_class | join: " " }}"
      data-footnotes-footnote-toggled-class="{{ site.data.theme.footnotes_footnote_toggled_class | join: " " }}"
      data-footnotes-sidenote-class="{{ site.data.theme.footnotes_sidenote_class | join: " " }}"
      class="source-serif lead-md pt-20 content"
      data-controller="footnotes"
      data-action="resize@window->footnotes#resize"
    >
      {{ content }}
    </div>
  </div>

  <footer class="d-flex flex-column align-items-center mt-60">
    {% unless page.authors == empty or page.show_biography == false %}
      {% for author in page.authors %}
        {% include biography.html text=author.content %}
      {% endfor %}
    {% endunless %}

    {% if page.license %}
      {% include license_block.html title=page.license content=about.license %}
    {% endif %}

    {% if page.activity %}
      {% include activity_pub/interactions.html activity=page.activity profile=site.actor %}
    {% endif %}

    {% include navigation_post.html src_previous="public/arrow_previous.png" src_home="public/home.png" src_next="public/arrow_next.png" href_previous=prev.url href_home="?#" href_next=next.url %}
  </footer>
</article>
